Quote Lines
The quote lines resource.
Basehttps://rest.carbon.ms/quoteLines
GET
/quoteLinesList quote liness
Retrieve a paginated list of quote liness. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/quoteLines
curl --request GET \
--url 'https://rest.carbon.ms/quoteLines?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"quoteId": "xyz789",
"quoteRevisionId": 0,
"status": "string",
"estimatorId": "xyz789",
"itemId": "xyz789",
"itemType": "string",
"description": "string"
}
]GET
/quoteLinesRetrieve a quote lines
Fetch a single quote lines by filtering on `id`.
Query parameters
idstringMatch on the quote lines's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/quoteLines
curl --request GET \
--url 'https://rest.carbon.ms/quoteLines?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"quoteId": "xyz789",
"quoteRevisionId": 0,
"status": "string",
"estimatorId": "xyz789",
"itemId": "xyz789",
"itemType": "string",
"description": "string"
}